searchData={"items":[{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha","doc":"API client metadata for GoogleApi.AnalyticsData.V1alpha.","ref":"GoogleApi.AnalyticsData.V1alpha.html"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.discovery_revision/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Api.Properties","doc":"API calls for all endpoints tagged `Properties`.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.analyticsdata_properties_get_metadata/4","doc":"Returns metadata for dimensions and metrics available in reporting methods. Used to explore the dimensions and metrics. In this method, a Google Analytics GA4 Property Identifier is specified in the request, and the metadata response includes Custom dimensions and metrics as well as Universal metadata. For example if a custom metric with parameter name `levels_unlocked` is registered to a property, the Metadata response will contain `customEvent:levels_unlocked`. Universal metadata are dimensions and metrics applicable to any property such as `country` and `totalUsers`.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html#analyticsdata_properties_get_metadata/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1alpha.Api.Properties.analyticsdata_properties_get_metadata/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1alpha.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the metadata to retrieve. This name field is specified in the URL path and not URL parameters. Property is a numeric Google Analytics GA4 Property identifier. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). Example: properties/1234/metadata Set the Property ID to 0 for dimensions and metrics common to all properties. In this special mode, this method will not return custom dimensions and metrics.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html#analyticsdata_properties_get_metadata/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1alpha.Api.Properties.analyticsdata_properties_get_metadata/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1alpha.Model.Metadata{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html#analyticsdata_properties_get_metadata/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.analyticsdata_properties_run_realtime_report/4","doc":"The Google Analytics Realtime API returns a customized report of realtime event data for your property. These reports show events and usage from the last 30 minutes.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html#analyticsdata_properties_run_realtime_report/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1alpha.Api.Properties.analyticsdata_properties_run_realtime_report/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1alpha.Connection.t`) - Connection to server\n*   `property` (*type:* `String.t`) - A Google Analytics GA4 property identifier whose events are tracked. Specified in the URL path and not the body. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). Example: properties/1234\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html#analyticsdata_properties_run_realtime_report/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1alpha.Api.Properties.analyticsdata_properties_run_realtime_report/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.Properties.html#analyticsdata_properties_run_realtime_report/4-returns"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha","doc":"API calls for all endpoints tagged `V1alpha`.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_batch_run_pivot_reports/3","doc":"Returns multiple pivot reports in a batch. All reports must be for the same Entity.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_batch_run_pivot_reports/3"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_batch_run_pivot_reports/3","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1alpha.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_batch_run_pivot_reports/3-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_batch_run_pivot_reports/3","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_batch_run_pivot_reports/3-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_batch_run_reports/3","doc":"Returns multiple reports in a batch. All reports must be for the same Entity.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_batch_run_reports/3"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_batch_run_reports/3","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1alpha.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_batch_run_reports/3-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_batch_run_reports/3","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_batch_run_reports/3-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_run_pivot_report/3","doc":"Returns a customized pivot report of your Google Analytics event data. Pivot reports are more advanced and expressive formats than regular reports. In a pivot report, dimensions are only visible if they are included in a pivot. Multiple pivots can be specified to further dissect your data.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_run_pivot_report/3"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_run_pivot_report/3","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1alpha.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_run_pivot_report/3-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_run_pivot_report/3","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_run_pivot_report/3-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_run_report/3","doc":"Returns a customized report of your Google Analytics event data. Reports contain statistics derived from data collected by the Google Analytics tracking code. The data returned from the API is as a table with columns for the requested dimensions and metrics. Metrics are individual measurements of user activity on your property, such as active users or event count. Dimensions break down metrics across some common criteria, such as country or event name.","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_run_report/3"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_run_report/3","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1alpha.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_run_report/3-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.analyticsdata_run_report/3","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1alpha.Api.V1alpha.html#analyticsdata_run_report/3-returns"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Connection","doc":"Handle Tesla connections for GoogleApi.AnalyticsData.V1alpha.","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1alpha.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#get/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#head/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1alpha.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1alpha.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1alpha.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#options/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#post/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#put/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.AnalyticsData.V1alpha.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.AnalyticsData.V1alpha.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Connection.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest","doc":"The batch request containing multiple pivot report requests.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest","doc":"*   `entity` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.Entity.t`, *default:* `nil`) - A property whose events are tracked. This entity must be specified for the batch. The entity within RunPivotReportRequest may either be unspecified or consistent with this entity.\n*   `requests` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.t)`, *default:* `nil`) - Individual requests. Each request has a separate pivot report response. Each batch request is allowed up to 5 requests.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse","doc":"The batch response containing multiple pivot reports.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#batchRunPivotReports\". Useful to distinguish between response types in JSON.\n*   `pivotReports` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.t)`, *default:* `nil`) - Individual responses. Each response has a separate pivot report request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunPivotReportsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest","doc":"The batch request containing multiple report requests.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest","doc":"*   `entity` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.Entity.t`, *default:* `nil`) - A property whose events are tracked. This entity must be specified for the batch. The entity within RunReportRequest may either be unspecified or consistent with this entity.\n*   `requests` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.t)`, *default:* `nil`) - Individual requests. Each request has a separate report response. Each batch request is allowed up to 5 requests.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse","doc":"The batch response containing multiple reports.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#batchRunReports\". Useful to distinguish between response types in JSON.\n*   `reports` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.t)`, *default:* `nil`) - Individual responses. Each response has a separate report request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BatchRunReportsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter","doc":"To express that the result needs to be between two numbers (inclusive).","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter","doc":"*   `fromValue` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.t`, *default:* `nil`) - Begins with this number.\n*   `toValue` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.t`, *default:* `nil`) - Ends with this number.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression","doc":"Used to convert a dimension value to a single case.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression","doc":"*   `dimensionName` (*type:* `String.t`, *default:* `nil`) - Name of a dimension. The name must refer back to a name in dimensions field of the request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort","doc":"Defines a cohort selection criteria. A cohort is a group of users who share a common characteristic. For example, users with the same `firstSessionDate` belong to the same cohort.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.Cohort","doc":"*   `dateRange` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.DateRange.t`, *default:* `nil`) - The cohort selects users whose first touch date is between start date and end date defined in the `dateRange`. This `dateRange` does not specify the full date range of event data that is present in a cohort report. In a cohort report, this `dateRange` is extended by the granularity and offset present in the `cohortsRange`; event data for the extended reporting date range is present in a cohort report. In a cohort request, this `dateRange` is required and the `dateRanges` in the `RunReportRequest` or `RunPivotReportRequest` must be unspecified. This `dateRange` should generally be aligned with the cohort's granularity. If `CohortsRange` uses daily granularity, this `dateRange` can be a single day. If `CohortsRange` uses weekly granularity, this `dateRange` can be aligned to a week boundary, starting at Sunday and ending Saturday. If `CohortsRange` uses monthly granularity, this `dateRange` can be aligned to a month, starting at the first and ending on the last day of the month.\n*   `dimension` (*type:* `String.t`, *default:* `nil`) - Dimension used by the cohort. Required and only supports `firstSessionDate`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Assigns a name to this cohort. The dimension `cohort` is valued to this name in a report response. If set, cannot begin with `cohort_` or `RESERVED_`. If not set, cohorts are named by their zero based index `cohort_0`, `cohort_1`, etc.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Cohort.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings","doc":"Optional settings of a cohort report.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings","doc":"*   `accumulate` (*type:* `boolean()`, *default:* `nil`) - If true, accumulates the result from first touch day to the end day. Not supported in `RunReportRequest`.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec","doc":"The specification of cohorts for a cohort report. Cohort reports create a time series of user retention for the cohort. For example, you could select the cohort of users that were acquired in the first week of September and follow that cohort for the next six weeks. Selecting the users acquired in the first week of September cohort is specified in the `cohort` object. Following that cohort for the next six weeks is specified in the `cohortsRange` object. For examples, see [Cohort Report Examples](https://developers.google.com/analytics/devguides/reporting/data/v1/advanced#cohort_report_examples). The report response could show a weekly time series where say your app has retained 60% of this cohort after three weeks and 25% of this cohort after six weeks. These two percentages can be calculated by the metric `cohortActiveUsers/cohortTotalUsers` and will be separate rows in the report.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec","doc":"*   `cohortReportSettings` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.CohortReportSettings.t`, *default:* `nil`) - Optional settings for a cohort report.\n*   `cohorts` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Cohort.t)`, *default:* `nil`) - Defines the selection criteria to group users into cohorts. Most cohort reports define only a single cohort. If multiple cohorts are specified, each cohort can be recognized in the report by their name.\n*   `cohortsRange` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.t`, *default:* `nil`) - Cohort reports follow cohorts over an extended reporting date range. This range specifies an offset duration to follow the cohorts over.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange","doc":"Configures the extended reporting date range for a cohort report. Specifies an offset duration to follow the cohorts over.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange","doc":"*   `endOffset` (*type:* `integer()`, *default:* `nil`) - Required. `endOffset` specifies the end date of the extended reporting date range for a cohort report. `endOffset` can be any positive integer but is commonly set to 5 to 10 so that reports contain data on the cohort for the next several granularity time periods. If `granularity` is `DAILY`, the `endDate` of the extended reporting date range is `endDate` of the cohort plus `endOffset` days. If `granularity` is `WEEKLY`, the `endDate` of the extended reporting date range is `endDate` of the cohort plus `endOffset * 7` days. If `granularity` is `MONTHLY`, the `endDate` of the extended reporting date range is `endDate` of the cohort plus `endOffset * 30` days.\n*   `granularity` (*type:* `String.t`, *default:* `nil`) - Required. The granularity used to interpret the `startOffset` and `endOffset` for the extended reporting date range for a cohort report.\n*   `startOffset` (*type:* `integer()`, *default:* `nil`) - `startOffset` specifies the start date of the extended reporting date range for a cohort report. `startOffset` is commonly set to 0 so that reports contain data from the acquisition of the cohort forward. If `granularity` is `DAILY`, the `startDate` of the extended reporting date range is `startDate` of the cohort plus `startOffset` days. If `granularity` is `WEEKLY`, the `startDate` of the extended reporting date range is `startDate` of the cohort plus `startOffset * 7` days. If `granularity` is `MONTHLY`, the `startDate` of the extended reporting date range is `startDate` of the cohort plus `startOffset * 30` days.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.CohortsRange.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression","doc":"Used to combine dimension values to a single dimension.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression","doc":"*   `delimiter` (*type:* `String.t`, *default:* `nil`) - The delimiter placed between dimension names. Delimiters are often single characters such as \"|\" or \",\" but can be longer strings. If a dimension value contains the delimiter, both will be present in response with no distinction. For example if dimension 1 value = \"US,FR\", dimension 2 value = \"JP\", and delimiter = \",\", then the response will contain \"US,FR,JP\".\n*   `dimensionNames` (*type:* `list(String.t)`, *default:* `nil`) - Names of dimensions. The names must refer back to names in the dimensions field of the request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange","doc":"A contiguous set of days: startDate, startDate + 1, ..., endDate. Requests are allowed up to 4 date ranges.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.DateRange","doc":"*   `endDate` (*type:* `String.t`, *default:* `nil`) - The inclusive end date for the query in the format `YYYY-MM-DD`. Cannot be before `start_date`. The format `NdaysAgo`, `yesterday`, or `today` is also accepted, and in that case, the date is inferred based on the property's reporting time zone.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Assigns a name to this date range. The dimension `dateRange` is valued to this name in a report response. If set, cannot begin with `date_range_` or `RESERVED_`. If not set, date ranges are named by their zero based index in the request: `date_range_0`, `date_range_1`, etc.\n*   `startDate` (*type:* `String.t`, *default:* `nil`) - The inclusive start date for the query in the format `YYYY-MM-DD`. Cannot be after `end_date`. The format `NdaysAgo`, `yesterday`, or `today` is also accepted, and in that case, the date is inferred based on the property's reporting time zone.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DateRange.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension","doc":"Dimensions are attributes of your data. For example, the dimension city indicates the city from which an event originates. Dimension values in report responses are strings; for example, city could be \"Paris\" or \"New York\". Requests are allowed up to 9 dimensions.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.Dimension","doc":"*   `dimensionExpression` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.t`, *default:* `nil`) - One dimension can be the result of an expression of multiple dimensions. For example, dimension \"country, city\": concatenate(country, \", \", city).\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the dimension. See the [API Dimensions](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema#dimensions) for the list of dimension names. If `dimensionExpression` is specified, `name` can be any string that you would like. For example if a `dimensionExpression` concatenates `country` and `city`, you could call that dimension `countryAndCity`. Dimensions are referenced by `name` in `dimensionFilter`, `orderBys`, `dimensionExpression`, and `pivots`.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Dimension.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression","doc":"Used to express a dimension which is the result of a formula of multiple dimensions. Example usages: 1) lower_case(dimension) 2) concatenate(dimension1, symbol, dimension2).","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression","doc":"*   `concatenate` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.ConcatenateExpression.t`, *default:* `nil`) - Used to combine dimension values to a single dimension. For example, dimension \"country, city\": concatenate(country, \", \", city).\n*   `lowerCase` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.t`, *default:* `nil`) - Used to convert a dimension value to lower case.\n*   `upperCase` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.CaseExpression.t`, *default:* `nil`) - Used to convert a dimension value to upper case.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader","doc":"Describes a dimension column in the report. Dimensions requested in a report produce column entries within rows and DimensionHeaders. However, dimensions used exclusively within filters or expressions do not produce columns in a report; correspondingly, those dimensions do not produce headers.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The dimension's name.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata","doc":"Explains a dimension.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata","doc":"*   `apiName` (*type:* `String.t`, *default:* `nil`) - This dimension's name. Useable in [Dimension](#Dimension)'s `name`. For example, `eventName`.\n*   `customDefinition` (*type:* `boolean()`, *default:* `nil`) - True if the dimension is a custom dimension for this property.\n*   `deprecatedApiNames` (*type:* `list(String.t)`, *default:* `nil`) - Still usable but deprecated names for this dimension. If populated, this dimension is available by either `apiName` or one of `deprecatedApiNames` for a period of time. After the deprecation period, the dimension will be available only by `apiName`.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of how this dimension is used and calculated.\n*   `uiName` (*type:* `String.t`, *default:* `nil`) - This dimension's name within the Google Analytics user interface. For example, `Event name`.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy","doc":"Sorts by dimension values.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy","doc":"*   `dimensionName` (*type:* `String.t`, *default:* `nil`) - A dimension name in the request to order by.\n*   `orderType` (*type:* `String.t`, *default:* `nil`) - Controls the rule for dimension value ordering.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue","doc":"The value of a dimension.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue","doc":"*   `value` (*type:* `String.t`, *default:* `nil`) - Value as a string if the dimension type is a string.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.Entity","doc":"The unique identifier of the property whose events are tracked.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.Entity","doc":"*   `propertyId` (*type:* `String.t`, *default:* `nil`) - A Google Analytics GA4 property id. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id).","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Entity.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.Filter","doc":"An expression to filter dimension or metric values.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.Filter","doc":"*   `betweenFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.BetweenFilter.t`, *default:* `nil`) - A filter for two values.\n*   `fieldName` (*type:* `String.t`, *default:* `nil`) - The dimension name or metric name. Must be a name defined in dimensions or metrics.\n*   `inListFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.t`, *default:* `nil`) - A filter for in list values.\n*   `numericFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.t`, *default:* `nil`) - A filter for numeric or date values.\n*   `stringFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.t`, *default:* `nil`) - Strings related filter.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Filter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression","doc":"To express dimension or metric filters. The fields in the same FilterExpression need to be either all dimensions or all metrics.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression","doc":"*   `andGroup` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.t`, *default:* `nil`) - The FilterExpressions in and_group have an AND relationship.\n*   `filter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.Filter.t`, *default:* `nil`) - A primitive filter. All fields in filter in same FilterExpression needs to be either all dimensions or metrics.\n*   `notExpression` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t`, *default:* `nil`) - The FilterExpression is NOT of not_expression.\n*   `orGroup` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.t`, *default:* `nil`) - The FilterExpressions in or_group have an OR relationship.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList","doc":"A list of filter expressions.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList","doc":"*   `expressions` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t)`, *default:* `nil`) - A list of filter expressions.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.FilterExpressionList.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter","doc":"The result needs to be in a list of string values.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.InListFilter","doc":"*   `caseSensitive` (*type:* `boolean()`, *default:* `nil`) - If true, the string value is case sensitive.\n*   `values` (*type:* `list(String.t)`, *default:* `nil`) - The list of string values. Must be non-empty.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.InListFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata","doc":"The dimensions and metrics currently accepted in reporting methods.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.Metadata","doc":"*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionMetadata.t)`, *default:* `nil`) - The dimension descriptions.\n*   `metrics` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.t)`, *default:* `nil`) - The metric descriptions.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name of this metadata.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metric","doc":"The quantitative measurements of a report. For example, the metric `eventCount` is the total number of events. Requests are allowed up to 10 metrics.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.Metric","doc":"*   `expression` (*type:* `String.t`, *default:* `nil`) - A mathematical expression for derived metrics. For example, the metric Event count per user is `eventCount/totalUsers`.\n*   `invisible` (*type:* `boolean()`, *default:* `nil`) - Indicates if a metric is invisible in the report response. If a metric is invisible, the metric will not produce a column in the response, but can be used in `metricFilter`, `orderBys`, or a metric `expression`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the metric. See the [API Metrics](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema#metrics) for the list of metric names. If `expression` is specified, `name` can be any string that you would like. For example if `expression` is `screenPageViews/sessions`, you could call that metric's name = `viewsPerSession`. Metrics are referenced by `name` in `metricFilter`, `orderBys`, and metric `expression`.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Metric.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader","doc":"Describes a metric column in the report. Visible metrics requested in a report produce column entries within rows and MetricHeaders. However, metrics used exclusively within filters or expressions do not produce columns in a report; correspondingly, those metrics do not produce headers.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The metric's name.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The metric's data type.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata","doc":"Explains a metric.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata","doc":"*   `apiName` (*type:* `String.t`, *default:* `nil`) - A metric name. Useable in [Metric](#Metric)'s `name`. For example, `eventCount`.\n*   `customDefinition` (*type:* `boolean()`, *default:* `nil`) - True if the metric is a custom metric for this property.\n*   `deprecatedApiNames` (*type:* `list(String.t)`, *default:* `nil`) - Still usable but deprecated names for this metric. If populated, this metric is available by either `apiName` or one of `deprecatedApiNames` for a period of time. After the deprecation period, the metric will be available only by `apiName`.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of how this metric is used and calculated.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - The mathematical expression for this derived metric. Can be used in [Metric](#Metric)'s `expression` field for equivalent reports. Most metrics are not expressions, and for non-expressions, this field is empty.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of this metric.\n*   `uiName` (*type:* `String.t`, *default:* `nil`) - This metric's name within the Google Analytics user interface. For example, `Event count`.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy","doc":"Sorts by metric values.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy","doc":"*   `metricName` (*type:* `String.t`, *default:* `nil`) - A metric name in the request to order by.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue","doc":"The value of a metric.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.MetricValue","doc":"*   `value` (*type:* `String.t`, *default:* `nil`) - Measurement value. See MetricHeader for type.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter","doc":"Filters for numeric or date values.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter","doc":"*   `operation` (*type:* `String.t`, *default:* `nil`) - The operation type for this filter.\n*   `value` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.t`, *default:* `nil`) - A numeric value or a date value.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue","doc":"To represent a number.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.NumericValue","doc":"*   `doubleValue` (*type:* `float()`, *default:* `nil`) - Double value\n*   `int64Value` (*type:* `String.t`, *default:* `nil`) - Integer value","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.NumericValue.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy","doc":"The sort options.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.OrderBy","doc":"*   `desc` (*type:* `boolean()`, *default:* `nil`) - If true, sorts by descending order.\n*   `dimension` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.DimensionOrderBy.t`, *default:* `nil`) - Sorts results by a dimension's values.\n*   `metric` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.MetricOrderBy.t`, *default:* `nil`) - Sorts results by a metric's values.\n*   `pivot` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.t`, *default:* `nil`) - Sorts results by a metric's values within a pivot column group.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot","doc":"Describes the visible dimension columns and rows in the report response.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.Pivot","doc":"*   `fieldNames` (*type:* `list(String.t)`, *default:* `nil`) - Dimension names for visible columns in the report response. Including \"dateRange\" produces a date range column; for each row in the response, dimension values in the date range column will indicate the corresponding date range from the request.\n*   `limit` (*type:* `String.t`, *default:* `nil`) - The number of rows to return in this pivot. The `limit` parameter is required. A `limit` of 10,000 is common for single pivot requests. The product of the `limit` for each `pivot` in a `RunPivotReportRequest` must not exceed 100,000. For example, a two pivot request with `limit: 1000` in each pivot will fail because the product is `1,000,000`.\n*   `metricAggregations` (*type:* `list(String.t)`, *default:* `nil`) - Aggregate the metrics by dimensions in this pivot using the specified metric_aggregations.\n*   `offset` (*type:* `String.t`, *default:* `nil`) - The row count of the start row. The first row is counted as row 0.\n*   `orderBys` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.t)`, *default:* `nil`) - Specifies how dimensions are ordered in the pivot. In the first Pivot, the OrderBys determine Row and PivotDimensionHeader ordering; in subsequent Pivots, the OrderBys determine only PivotDimensionHeader ordering. Dimensions specified in these OrderBys must be a subset of Pivot.field_names.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Pivot.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader","doc":"Summarizes dimension values from a row for this pivot.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader","doc":"*   `dimensionValues` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.t)`, *default:* `nil`) - Values of multiple dimensions in a pivot.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader","doc":"Dimensions' values in a single pivot.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader","doc":"*   `pivotDimensionHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.PivotDimensionHeader.t)`, *default:* `nil`) - The size is the same as the cardinality of the corresponding dimension combinations.\n*   `rowCount` (*type:* `integer()`, *default:* `nil`) - The cardinality of the pivot. The total number of rows for this pivot's fields regardless of how the parameters `offset` and `limit` are specified in the request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy","doc":"Sorts by a pivot column group.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy","doc":"*   `metricName` (*type:* `String.t`, *default:* `nil`) - In the response to order by, order rows by this column. Must be a metric name from the request.\n*   `pivotSelections` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.t)`, *default:* `nil`) - Used to select a dimension name and value pivot. If multiple pivot selections are given, the sort occurs on rows where all pivot selection dimension name and value pairs match the row's dimension name and value pair.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotOrderBy.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection","doc":"A pair of dimension names and values. Rows with this dimension pivot pair are ordered by the metric's value. For example if pivots = {{\"browser\", \"Chrome\"}} and metric_name = \"Sessions\", then the rows will be sorted based on Sessions in Chrome. ---------|----------|----------------|----------|---------------- | Chrome | Chrome | Safari | Safari ---------|----------|----------------|----------|---------------- Country | Sessions | Pages/Sessions | Sessions | Pages/Sessions ---------|----------|----------------|----------|---------------- US | 2 | 2 | 3 | 1 ---------|----------|----------------|----------|---------------- Canada | 3 | 1 | 4 | 1 ---------|----------|----------------|----------|----------------","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection","doc":"*   `dimensionName` (*type:* `String.t`, *default:* `nil`) - Must be a dimension name from the request.\n*   `dimensionValue` (*type:* `String.t`, *default:* `nil`) - Order by only when the named dimension is this value.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PivotSelection.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota","doc":"Current state of all quotas for this Analytics Property. If any quota for a property is exhausted, all requests to that property will return Resource Exhausted errors.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota","doc":"*   `concurrentRequests` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t`, *default:* `nil`) - Standard Analytics Properties can send up to 10 concurrent requests; Analytics 360 Properties can use up to 50 concurrent requests.\n*   `potentiallyThresholdedRequestsPerHour` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t`, *default:* `nil`) - Analytics Properties can send up to 120 requests with potentially thresholded dimensions per hour. In a batch request, each report request is individually counted for this quota if the request contains potentially thresholded dimensions.\n*   `serverErrorsPerProjectPerHour` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t`, *default:* `nil`) - Standard Analytics Properties and cloud project pairs can have up to 10 server errors per hour; Analytics 360 Properties and cloud project pairs can have up to 50 server errors per hour.\n*   `tokensPerDay` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t`, *default:* `nil`) - Standard Analytics Properties can use up to 25,000 tokens per day; Analytics 360 Properties can use 250,000 tokens per day. Most requests consume fewer than 10 tokens.\n*   `tokensPerHour` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t`, *default:* `nil`) - Standard Analytics Properties can use up to 5,000 tokens per hour; Analytics 360 Properties can use 50,000 tokens per hour. An API request consumes a single number of tokens, and that number is deducted from both the hourly and daily quotas.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus","doc":"Current state for a particular quota group.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus","doc":"*   `consumed` (*type:* `integer()`, *default:* `nil`) - Quota consumed by this request.\n*   `remaining` (*type:* `integer()`, *default:* `nil`) - Quota remaining after this request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.QuotaStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData","doc":"Response's metadata carrying additional information about the report content.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData","doc":"*   `dataLossFromOtherRow` (*type:* `boolean()`, *default:* `nil`) - If true, indicates some buckets of dimension combinations are rolled into \"(other)\" row. This can happen for high cardinality reports.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.Row","doc":"Report data for each row. For example if RunReportRequest contains: ```none \"dimensions\": [ { \"name\": \"eventName\" }, { \"name\": \"countryId\" } ], \"metrics\": [ { \"name\": \"eventCount\" } ] ``` One row with 'in_app_purchase' as the eventName, 'JP' as the countryId, and 15 as the eventCount, would be: ```none \"dimensionValues\": [ { \"value\": \"in_app_purchase\" }, { \"value\": \"JP\" } ], \"metricValues\": [ { \"value\": \"15\" } ] ```","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Row.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.Row","doc":"*   `dimensionValues` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionValue.t)`, *default:* `nil`) - List of requested dimension values. In a PivotReport, dimension_values are only listed for dimensions included in a pivot.\n*   `metricValues` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.MetricValue.t)`, *default:* `nil`) - List of requested visible metric values.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Row.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.Row.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Row.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.Row.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.Row.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest","doc":"The request to generate a pivot report.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest","doc":"*   `cohortSpec` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.t`, *default:* `nil`) - Cohort group associated with this request. If there is a cohort group in the request the 'cohort' dimension must be present.\n*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - A currency code in ISO4217 format, such as \"AED\", \"USD\", \"JPY\". If the field is empty, the report uses the entity's default currency.\n*   `dateRanges` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.DateRange.t)`, *default:* `nil`) - The date range to retrieve event data for the report. If multiple date ranges are specified, event data from each date range is used in the report. A special dimension with field name \"dateRange\" can be included in a Pivot's field names; if included, the report compares between date ranges. In a cohort request, this `dateRanges` must be unspecified.\n*   `dimensionFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of dimensions. Dimensions must be requested to be used in this filter. Metrics cannot be used in this filter.\n*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Dimension.t)`, *default:* `nil`) - The dimensions requested. All defined dimensions must be used by one of the following: dimension_expression, dimension_filter, pivots, order_bys.\n*   `entity` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.Entity.t`, *default:* `nil`) - A property whose events are tracked. Within a batch request, this entity should either be unspecified or consistent with the batch-level entity.\n*   `keepEmptyRows` (*type:* `boolean()`, *default:* `nil`) - If false or unspecified, each row with all metrics equal to 0 will not be returned. If true, these rows will be returned if they are not separately removed by a filter.\n*   `metricFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of metrics. Applied at post aggregation phase, similar to SQL having-clause. Metrics must be requested to be used in this filter. Dimensions cannot be used in this filter.\n*   `metrics` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Metric.t)`, *default:* `nil`) - The metrics requested, at least one metric needs to be specified. All defined metrics must be used by one of the following: metric_expression, metric_filter, order_bys.\n*   `pivots` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Pivot.t)`, *default:* `nil`) - Describes the visual format of the report's dimensions in columns or rows. The union of the fieldNames (dimension names) in all pivots must be a subset of dimension names defined in Dimensions. No two pivots can share a dimension. A dimension is only visible if it appears in a pivot.\n*   `returnPropertyQuota` (*type:* `boolean()`, *default:* `nil`) - Toggles whether to return the current state of this Analytics Property's quota. Quota is returned in [PropertyQuota](#PropertyQuota).","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse","doc":"The response pivot report table corresponding to a pivot request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse","doc":"*   `aggregates` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - Aggregation of metric values. Can be totals, minimums, or maximums. The returned aggregations are controlled by the metric_aggregations in the pivot. The type of aggregation returned in each row is shown by the dimension_values which are set to \"RESERVED_\".\n*   `dimensionHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.t)`, *default:* `nil`) - Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#runPivotReport\". Useful to distinguish between response types in JSON.\n*   `metadata` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.t`, *default:* `nil`) - Metadata for the report.\n*   `metricHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.t)`, *default:* `nil`) - Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows.\n*   `pivotHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.PivotHeader.t)`, *default:* `nil`) - Summarizes the columns and rows created by a pivot. Each pivot in the request produces one header in the response. If we have a request like this: \"pivots\": [{ \"fieldNames\": [\"country\", \"city\"] }, { \"fieldNames\": \"eventName\" }] We will have the following `pivotHeaders` in the response: \"pivotHeaders\" : [{ \"dimensionHeaders\": [{ \"dimensionValues\": [ { \"value\": \"United Kingdom\" }, { \"value\": \"London\" } ] }, { \"dimensionValues\": [ { \"value\": \"Japan\" }, { \"value\": \"Osaka\" } ] }] }, { \"dimensionHeaders\": [{ \"dimensionValues\": [{ \"value\": \"session_start\" }] }, { \"dimensionValues\": [{ \"value\": \"scroll\" }] }] }]\n*   `propertyQuota` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.t`, *default:* `nil`) - This Analytics Property's quota state including this request.\n*   `rows` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - Rows of dimension value combinations and metric values in the report.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunPivotReportResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest","doc":"The request to generate a realtime report.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest","doc":"*   `dimensionFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of dimensions. Dimensions must be requested to be used in this filter. Metrics cannot be used in this filter.\n*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Dimension.t)`, *default:* `nil`) - The dimensions requested and displayed.\n*   `limit` (*type:* `String.t`, *default:* `nil`) - The number of rows to return. If the `limit` parameter is unspecified, 10,000 rows are returned. The API returns a maximum of 100,000 rows per request, no matter how many you ask for.\n*   `metricAggregations` (*type:* `list(String.t)`, *default:* `nil`) - Aggregation of metrics. Aggregated metric values will be shown in rows where the dimension_values are set to \"RESERVED_(MetricAggregation)\".\n*   `metricFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of metrics. Applied at post aggregation phase, similar to SQL having-clause. Metrics must be requested to be used in this filter. Dimensions cannot be used in this filter.\n*   `metrics` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Metric.t)`, *default:* `nil`) - The metrics requested and displayed.\n*   `orderBys` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.t)`, *default:* `nil`) - Specifies how rows are ordered in the response.\n*   `returnPropertyQuota` (*type:* `boolean()`, *default:* `nil`) - Toggles whether to return the current state of this Analytics Property's Realtime quota. Quota is returned in [PropertyQuota](#PropertyQuota).","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse","doc":"The response realtime report table corresponding to a request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse","doc":"*   `dimensionHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.t)`, *default:* `nil`) - Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#runRealtimeReport\". Useful to distinguish between response types in JSON.\n*   `maximums` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - If requested, the maximum values of metrics.\n*   `metricHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.t)`, *default:* `nil`) - Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows.\n*   `minimums` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - If requested, the minimum values of metrics.\n*   `propertyQuota` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.t`, *default:* `nil`) - This Analytics Property's Realtime quota state including this request.\n*   `rowCount` (*type:* `integer()`, *default:* `nil`) - The total number of rows in the query result, regardless of the number of rows returned in the response. For example if a query returns 175 rows and includes limit = 50 in the API request, the response will contain row_count = 175 but only 50 rows.\n*   `rows` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - Rows of dimension value combinations and metric values in the report.\n*   `totals` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - If requested, the totaled values of metrics.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunRealtimeReportResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest","doc":"The request to generate a report.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest","doc":"*   `cohortSpec` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.CohortSpec.t`, *default:* `nil`) - Cohort group associated with this request. If there is a cohort group in the request the 'cohort' dimension must be present.\n*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - A currency code in ISO4217 format, such as \"AED\", \"USD\", \"JPY\". If the field is empty, the report uses the entity's default currency.\n*   `dateRanges` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.DateRange.t)`, *default:* `nil`) - Date ranges of data to read. If multiple date ranges are requested, each response row will contain a zero based date range index. If two date ranges overlap, the event data for the overlapping days is included in the response rows for both date ranges. In a cohort request, this `dateRanges` must be unspecified.\n*   `dimensionFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of dimensions. Dimensions must be requested to be used in this filter. Metrics cannot be used in this filter.\n*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Dimension.t)`, *default:* `nil`) - The dimensions requested and displayed.\n*   `entity` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.Entity.t`, *default:* `nil`) - A property whose events are tracked. Within a batch request, this entity should either be unspecified or consistent with the batch-level entity.\n*   `keepEmptyRows` (*type:* `boolean()`, *default:* `nil`) - If false or unspecified, each row with all metrics equal to 0 will not be returned. If true, these rows will be returned if they are not separately removed by a filter.\n*   `limit` (*type:* `String.t`, *default:* `nil`) - The number of rows to return. If the `limit` parameter is unspecified, 10,000 rows are returned. The API returns a maximum of 100,000 rows per request, no matter how many you ask for. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination).\n*   `metricAggregations` (*type:* `list(String.t)`, *default:* `nil`) - Aggregation of metrics. Aggregated metric values will be shown in rows where the dimension_values are set to \"RESERVED_(MetricAggregation)\".\n*   `metricFilter` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of metrics. Applied at post aggregation phase, similar to SQL having-clause. Metrics must be requested to be used in this filter. Dimensions cannot be used in this filter.\n*   `metrics` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Metric.t)`, *default:* `nil`) - The metrics requested and displayed.\n*   `offset` (*type:* `String.t`, *default:* `nil`) - The row count of the start row. The first row is counted as row 0. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination).\n*   `orderBys` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.OrderBy.t)`, *default:* `nil`) - Specifies how rows are ordered in the response.\n*   `returnPropertyQuota` (*type:* `boolean()`, *default:* `nil`) - Toggles whether to return the current state of this Analytics Property's quota. Quota is returned in [PropertyQuota](#PropertyQuota).","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse","doc":"The response report table corresponding to a request.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse","doc":"*   `dimensionHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.DimensionHeader.t)`, *default:* `nil`) - Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#runReport\". Useful to distinguish between response types in JSON.\n*   `maximums` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - If requested, the maximum values of metrics.\n*   `metadata` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.ResponseMetaData.t`, *default:* `nil`) - Metadata for the report.\n*   `metricHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.MetricHeader.t)`, *default:* `nil`) - Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows.\n*   `minimums` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - If requested, the minimum values of metrics.\n*   `propertyQuota` (*type:* `GoogleApi.AnalyticsData.V1alpha.Model.PropertyQuota.t`, *default:* `nil`) - This Analytics Property's quota state including this request.\n*   `rowCount` (*type:* `integer()`, *default:* `nil`) - The total number of rows in the query result, regardless of the number of rows returned in the response. For example if a query returns 175 rows and includes limit = 50 in the API request, the response will contain row_count = 175 but only 50 rows. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination).\n*   `rows` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - Rows of dimension value combinations and metric values in the report.\n*   `totals` (*type:* `list(GoogleApi.AnalyticsData.V1alpha.Model.Row.t)`, *default:* `nil`) - If requested, the totaled values of metrics.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.RunReportResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter","doc":"The filter for string","ref":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1alpha.Model.StringFilter","doc":"*   `caseSensitive` (*type:* `boolean()`, *default:* `nil`) - If true, the string value is case sensitive.\n*   `matchType` (*type:* `String.t`, *default:* `nil`) - The match type for this filter.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The string value used for the matching.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1alpha.Model.StringFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta","doc":"API client metadata for GoogleApi.AnalyticsData.V1beta.","ref":"GoogleApi.AnalyticsData.V1beta.html"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.discovery_revision/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties","doc":"API calls for all endpoints tagged `Properties`.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_create/4","doc":"Creates an audience export for later retrieval. This method quickly returns the audience export's resource name and initiates a long running asynchronous request to form an audience export. To export the users in an audience export, first create the audience export through this method and then send the audience resource name to the `QueryAudienceExport` method. See [Creating an Audience Export](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-list-basics) for an introduction to Audience Exports with examples. An audience export is a snapshot of the users currently in the audience at the time of audience export creation. Creating audience exports for one audience on different days will return different results as users enter and exit the audience. Audiences in Google Analytics 4 allow you to segment your users in the ways that are important to your business. To learn more, see https://support.google.com/analytics/answer/9267572. Audience exports contain the users in each audience. Audience Export APIs have some methods at alpha and other methods at beta stability. The intention is to advance methods to beta stability after some feedback and adoption. To give your feedback on this API, complete the [Google Analytics Audience Export API Feedback](https://forms.gle/EeA5u5LW6PEggtCEA) form.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_create/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_create/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource where this audience export will be created. Format: `properties/{property}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.AudienceExport.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_create/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_create/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_get/4","doc":"Gets configuration metadata about a specific audience export. This method can be used to understand an audience export after it has been created. See [Creating an Audience Export](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-list-basics) for an introduction to Audience Exports with examples. Audience Export APIs have some methods at alpha and other methods at beta stability. The intention is to advance methods to beta stability after some feedback and adoption. To give your feedback on this API, complete the [Google Analytics Audience Export API Feedback](https://forms.gle/EeA5u5LW6PEggtCEA) form.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_get/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_get/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The audience export resource name. Format: `properties/{property}/audienceExports/{audience_export}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_get/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.AudienceExport{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_get/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_list/4","doc":"Lists all audience exports for a property. This method can be used for you to find and reuse existing audience exports rather than creating unnecessary new audience exports. The same audience can have multiple audience exports that represent the export of users that were in an audience on different days. See [Creating an Audience Export](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-list-basics) for an introduction to Audience Exports with examples. Audience Export APIs have some methods at alpha and other methods at beta stability. The intention is to advance methods to beta stability after some feedback and adoption. To give your feedback on this API, complete the [Google Analytics Audience Export API Feedback](https://forms.gle/EeA5u5LW6PEggtCEA) form.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_list/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_list/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. All audience exports for this property will be listed in the response. Format: `properties/{property}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of audience exports to return. The service may return fewer than this value. If unspecified, at most 200 audience exports will be returned. The maximum value is 1000 (higher values will be coerced to the maximum).\n    *   `:pageToken` (*type:* `String.t`) - Optional. A page token, received from a previous `ListAudienceExports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListAudienceExports` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_list/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.ListAudienceExportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_list/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_query/4","doc":"Retrieves an audience export of users. After creating an audience, the users are not immediately available for exporting. First, a request to `CreateAudienceExport` is necessary to create an audience export of users, and then second, this method is used to retrieve the users in the audience export. See [Creating an Audience Export](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-list-basics) for an introduction to Audience Exports with examples. Audiences in Google Analytics 4 allow you to segment your users in the ways that are important to your business. To learn more, see https://support.google.com/analytics/answer/9267572. Audience Export APIs have some methods at alpha and other methods at beta stability. The intention is to advance methods to beta stability after some feedback and adoption. To give your feedback on this API, complete the [Google Analytics Audience Export API Feedback](https://forms.gle/EeA5u5LW6PEggtCEA) form.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_query/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_query/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the audience export to retrieve users from. Format: `properties/{property}/audienceExports/{audience_export}`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_query/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_audience_exports_query/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_audience_exports_query/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_batch_run_pivot_reports/4","doc":"Returns multiple pivot reports in a batch. All reports must be for the same GA4 Property.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_batch_run_pivot_reports/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_batch_run_pivot_reports/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `property` (*type:* `String.t`) - A Google Analytics GA4 property identifier whose events are tracked. Specified in the URL path and not the body. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). This property must be specified for the batch. The property within RunPivotReportRequest may either be unspecified or consistent with this property. Example: properties/1234\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_batch_run_pivot_reports/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_batch_run_pivot_reports/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_batch_run_pivot_reports/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_batch_run_reports/4","doc":"Returns multiple reports in a batch. All reports must be for the same GA4 Property.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_batch_run_reports/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_batch_run_reports/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `property` (*type:* `String.t`) - A Google Analytics GA4 property identifier whose events are tracked. Specified in the URL path and not the body. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). This property must be specified for the batch. The property within RunReportRequest may either be unspecified or consistent with this property. Example: properties/1234\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_batch_run_reports/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_batch_run_reports/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_batch_run_reports/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_check_compatibility/4","doc":"This compatibility method lists dimensions and metrics that can be added to a report request and maintain compatibility. This method fails if the request's dimensions and metrics are incompatible. In Google Analytics, reports fail if they request incompatible dimensions and/or metrics; in that case, you will need to remove dimensions and/or metrics from the incompatible report until the report is compatible. The Realtime and Core reports have different compatibility rules. This method checks compatibility for Core reports.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_check_compatibility/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_check_compatibility/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `property` (*type:* `String.t`) - A Google Analytics GA4 property identifier whose events are tracked. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). `property` should be the same value as in your `runReport` request. Example: properties/1234\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_check_compatibility/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_check_compatibility/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_check_compatibility/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_get_metadata/4","doc":"Returns metadata for dimensions and metrics available in reporting methods. Used to explore the dimensions and metrics. In this method, a Google Analytics GA4 Property Identifier is specified in the request, and the metadata response includes Custom dimensions and metrics as well as Universal metadata. For example if a custom metric with parameter name `levels_unlocked` is registered to a property, the Metadata response will contain `customEvent:levels_unlocked`. Universal metadata are dimensions and metrics applicable to any property such as `country` and `totalUsers`.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_get_metadata/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_get_metadata/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the metadata to retrieve. This name field is specified in the URL path and not URL parameters. Property is a numeric Google Analytics GA4 Property identifier. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). Example: properties/1234/metadata Set the Property ID to 0 for dimensions and metrics common to all properties. In this special mode, this method will not return custom dimensions and metrics.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_get_metadata/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_get_metadata/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.Metadata{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_get_metadata/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_run_pivot_report/4","doc":"Returns a customized pivot report of your Google Analytics event data. Pivot reports are more advanced and expressive formats than regular reports. In a pivot report, dimensions are only visible if they are included in a pivot. Multiple pivots can be specified to further dissect your data.","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_run_pivot_report/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_run_pivot_report/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `property` (*type:* `String.t`) - A Google Analytics GA4 property identifier whose events are tracked. Specified in the URL path and not the body. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). Within a batch request, this property should either be unspecified or consistent with the batch-level property. Example: properties/1234\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_run_pivot_report/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_run_pivot_report/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_run_pivot_report/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_run_realtime_report/4","doc":"Returns a customized report of realtime event data for your property. Events appear in realtime reports seconds after they have been sent to the Google Analytics. Realtime reports show events and usage data for the periods of time ranging from the present moment to 30 minutes ago (up to 60 minutes for Google Analytics 360 properties). For a guide to constructing realtime requests & understanding responses, see [Creating a Realtime Report](https://developers.google.com/analytics/devguides/reporting/data/v1/realtime-basics).","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_run_realtime_report/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_run_realtime_report/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `property` (*type:* `String.t`) - A Google Analytics GA4 property identifier whose events are tracked. Specified in the URL path and not the body. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). Example: properties/1234\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_run_realtime_report/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_run_realtime_report/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_run_realtime_report/4-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_run_report/4","doc":"Returns a customized report of your Google Analytics event data. Reports contain statistics derived from data collected by the Google Analytics tracking code. The data returned from the API is as a table with columns for the requested dimensions and metrics. Metrics are individual measurements of user activity on your property, such as active users or event count. Dimensions break down metrics across some common criteria, such as country or event name. For a guide to constructing requests & understanding responses, see [Creating a Report](https://developers.google.com/analytics/devguides/reporting/data/v1/basics).","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_run_report/4"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_run_report/4","doc":"*   `connection` (*type:* `GoogleApi.AnalyticsData.V1beta.Connection.t`) - Connection to server\n*   `property` (*type:* `String.t`) - A Google Analytics GA4 property identifier whose events are tracked. Specified in the URL path and not the body. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). Within a batch request, this property should either be unspecified or consistent with the batch-level property. Example: properties/1234\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_run_report/4-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Api.Properties.analyticsdata_properties_run_report/4","doc":"*   `{:ok, %GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.AnalyticsData.V1beta.Api.Properties.html#analyticsdata_properties_run_report/4-returns"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Connection","doc":"Handle Tesla connections for GoogleApi.AnalyticsData.V1beta.","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#get/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#head/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.AnalyticsData.V1beta.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.AnalyticsData.V1beta.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#options/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#post/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#put/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.AnalyticsData.V1beta.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.AnalyticsData.V1beta.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Connection.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.ActiveMetricRestriction","doc":"A metric actively restricted in creating the report.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ActiveMetricRestriction.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.ActiveMetricRestriction","doc":"*   `metricName` (*type:* `String.t`, *default:* `nil`) - The name of the restricted metric.\n*   `restrictedMetricTypes` (*type:* `list(String.t)`, *default:* `nil`) - The reason for this metric's restriction.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ActiveMetricRestriction.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.ActiveMetricRestriction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ActiveMetricRestriction.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.ActiveMetricRestriction.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.ActiveMetricRestriction.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.AudienceExport","doc":"An audience export is a list of users in an audience at the time of the list's creation. One audience may have multiple audience exports created for different days.","ref":"GoogleApi.AnalyticsData.V1beta.Model.AudienceExport.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.AudienceExport","doc":"*   `audience` (*type:* `String.t`, *default:* `nil`) - Required. The audience resource name. This resource name identifies the audience being listed and is shared between the Analytics Data & Admin APIs. Format: `properties/{property}/audiences/{audience}`\n*   `audienceDisplayName` (*type:* `String.t`, *default:* `nil`) - Output only. The descriptive display name for this audience. For example, \"Purchasers\".\n*   `beginCreatingTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when CreateAudienceExport was called and the AudienceExport began the `CREATING` state.\n*   `creationQuotaTokensCharged` (*type:* `integer()`, *default:* `nil`) - Output only. The total quota tokens charged during creation of the AudienceExport. Because this token count is based on activity from the `CREATING` state, this tokens charged will be fixed once an AudienceExport enters the `ACTIVE` or `FAILED` states.\n*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimension.t)`, *default:* `nil`) - Required. The dimensions requested and displayed in the query response.\n*   `errorMessage` (*type:* `String.t`, *default:* `nil`) - Output only. Error message is populated when an audience export fails during creation. A common reason for such a failure is quota exhaustion.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Identifier. The audience export resource name assigned during creation. This resource name identifies this `AudienceExport`. Format: `properties/{property}/audienceExports/{audience_export}`\n*   `percentageCompleted` (*type:* `float()`, *default:* `nil`) - Output only. The percentage completed for this audience export ranging between 0 to 100.\n*   `rowCount` (*type:* `integer()`, *default:* `nil`) - Output only. The total number of rows in the AudienceExport result.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current state for this AudienceExport.","ref":"GoogleApi.AnalyticsData.V1beta.Model.AudienceExport.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.AudienceExport.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.AudienceExport.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.AudienceExport.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.AudienceExport.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.AudienceListMetadata","doc":"This metadata is currently blank.","ref":"GoogleApi.AnalyticsData.V1beta.Model.AudienceListMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.AudienceListMetadata","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.AudienceListMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.AudienceListMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.AudienceListMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.AudienceListMetadata.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.AudienceListMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsRequest","doc":"The batch request containing multiple pivot report requests.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest.t)`, *default:* `nil`) - Individual requests. Each request has a separate pivot report response. Each batch request is allowed up to 5 requests.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsResponse","doc":"The batch response containing multiple pivot reports.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#batchRunPivotReports\". Useful to distinguish between response types in JSON.\n*   `pivotReports` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse.t)`, *default:* `nil`) - Individual responses. Each response has a separate pivot report request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunPivotReportsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsRequest","doc":"The batch request containing multiple report requests.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsRequest","doc":"*   `requests` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest.t)`, *default:* `nil`) - Individual requests. Each request has a separate report response. Each batch request is allowed up to 5 requests.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsResponse","doc":"The batch response containing multiple reports.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsResponse","doc":"*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#batchRunReports\". Useful to distinguish between response types in JSON.\n*   `reports` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse.t)`, *default:* `nil`) - Individual responses. Each response has a separate report request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.BatchRunReportsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.BetweenFilter","doc":"To express that the result needs to be between two numbers (inclusive).","ref":"GoogleApi.AnalyticsData.V1beta.Model.BetweenFilter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.BetweenFilter","doc":"*   `fromValue` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.NumericValue.t`, *default:* `nil`) - Begins with this number.\n*   `toValue` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.NumericValue.t`, *default:* `nil`) - Ends with this number.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BetweenFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.BetweenFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.BetweenFilter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.BetweenFilter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.BetweenFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.CaseExpression","doc":"Used to convert a dimension value to a single case.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CaseExpression.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.CaseExpression","doc":"*   `dimensionName` (*type:* `String.t`, *default:* `nil`) - Name of a dimension. The name must refer back to a name in dimensions field of the request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CaseExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.CaseExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CaseExpression.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.CaseExpression.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.CaseExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityRequest","doc":"The request for compatibility information for a report's dimensions and metrics. Check compatibility provides a preview of the compatibility of a report; fields shared with the `runReport` request should be the same values as in your `runReport` request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityRequest","doc":"*   `compatibilityFilter` (*type:* `String.t`, *default:* `nil`) - Filters the dimensions and metrics in the response to just this compatibility. Commonly used as `”compatibilityFilter”: “COMPATIBLE”` to only return compatible dimensions & metrics.\n*   `dimensionFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of dimensions. `dimensionFilter` should be the same value as in your `runReport` request.\n*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Dimension.t)`, *default:* `nil`) - The dimensions in this report. `dimensions` should be the same value as in your `runReport` request.\n*   `metricFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of metrics. `metricFilter` should be the same value as in your `runReport` request\n*   `metrics` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Metric.t)`, *default:* `nil`) - The metrics in this report. `metrics` should be the same value as in your `runReport` request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityResponse","doc":"The compatibility response with the compatibility of each dimension & metric.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityResponse","doc":"*   `dimensionCompatibilities` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.DimensionCompatibility.t)`, *default:* `nil`) - The compatibility of each dimension.\n*   `metricCompatibilities` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.MetricCompatibility.t)`, *default:* `nil`) - The compatibility of each metric.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.CheckCompatibilityResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Cohort","doc":"Defines a cohort selection criteria. A cohort is a group of users who share a common characteristic. For example, users with the same `firstSessionDate` belong to the same cohort.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Cohort.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Cohort","doc":"*   `dateRange` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.DateRange.t`, *default:* `nil`) - The cohort selects users whose first touch date is between start date and end date defined in the `dateRange`. This `dateRange` does not specify the full date range of event data that is present in a cohort report. In a cohort report, this `dateRange` is extended by the granularity and offset present in the `cohortsRange`; event data for the extended reporting date range is present in a cohort report. In a cohort request, this `dateRange` is required and the `dateRanges` in the `RunReportRequest` or `RunPivotReportRequest` must be unspecified. This `dateRange` should generally be aligned with the cohort's granularity. If `CohortsRange` uses daily granularity, this `dateRange` can be a single day. If `CohortsRange` uses weekly granularity, this `dateRange` can be aligned to a week boundary, starting at Sunday and ending Saturday. If `CohortsRange` uses monthly granularity, this `dateRange` can be aligned to a month, starting at the first and ending on the last day of the month.\n*   `dimension` (*type:* `String.t`, *default:* `nil`) - Dimension used by the cohort. Required and only supports `firstSessionDate`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Assigns a name to this cohort. The dimension `cohort` is valued to this name in a report response. If set, cannot begin with `cohort_` or `RESERVED_`. If not set, cohorts are named by their zero based index `cohort_0`, `cohort_1`, etc.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Cohort.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Cohort.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Cohort.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Cohort.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Cohort.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.CohortReportSettings","doc":"Optional settings of a cohort report.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortReportSettings.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.CohortReportSettings","doc":"*   `accumulate` (*type:* `boolean()`, *default:* `nil`) - If true, accumulates the result from first touch day to the end day. Not supported in `RunReportRequest`.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortReportSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.CohortReportSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortReportSettings.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.CohortReportSettings.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortReportSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.CohortSpec","doc":"The specification of cohorts for a cohort report. Cohort reports create a time series of user retention for the cohort. For example, you could select the cohort of users that were acquired in the first week of September and follow that cohort for the next six weeks. Selecting the users acquired in the first week of September cohort is specified in the `cohort` object. Following that cohort for the next six weeks is specified in the `cohortsRange` object. For examples, see [Cohort Report Examples](https://developers.google.com/analytics/devguides/reporting/data/v1/advanced#cohort_report_examples). The report response could show a weekly time series where say your app has retained 60% of this cohort after three weeks and 25% of this cohort after six weeks. These two percentages can be calculated by the metric `cohortActiveUsers/cohortTotalUsers` and will be separate rows in the report.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortSpec.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.CohortSpec","doc":"*   `cohortReportSettings` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.CohortReportSettings.t`, *default:* `nil`) - Optional settings for a cohort report.\n*   `cohorts` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Cohort.t)`, *default:* `nil`) - Defines the selection criteria to group users into cohorts. Most cohort reports define only a single cohort. If multiple cohorts are specified, each cohort can be recognized in the report by their name.\n*   `cohortsRange` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.CohortsRange.t`, *default:* `nil`) - Cohort reports follow cohorts over an extended reporting date range. This range specifies an offset duration to follow the cohorts over.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.CohortSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortSpec.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.CohortSpec.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.CohortsRange","doc":"Configures the extended reporting date range for a cohort report. Specifies an offset duration to follow the cohorts over.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortsRange.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.CohortsRange","doc":"*   `endOffset` (*type:* `integer()`, *default:* `nil`) - Required. `endOffset` specifies the end date of the extended reporting date range for a cohort report. `endOffset` can be any positive integer but is commonly set to 5 to 10 so that reports contain data on the cohort for the next several granularity time periods. If `granularity` is `DAILY`, the `endDate` of the extended reporting date range is `endDate` of the cohort plus `endOffset` days. If `granularity` is `WEEKLY`, the `endDate` of the extended reporting date range is `endDate` of the cohort plus `endOffset * 7` days. If `granularity` is `MONTHLY`, the `endDate` of the extended reporting date range is `endDate` of the cohort plus `endOffset * 30` days.\n*   `granularity` (*type:* `String.t`, *default:* `nil`) - Required. The granularity used to interpret the `startOffset` and `endOffset` for the extended reporting date range for a cohort report.\n*   `startOffset` (*type:* `integer()`, *default:* `nil`) - `startOffset` specifies the start date of the extended reporting date range for a cohort report. `startOffset` is commonly set to 0 so that reports contain data from the acquisition of the cohort forward. If `granularity` is `DAILY`, the `startDate` of the extended reporting date range is `startDate` of the cohort plus `startOffset` days. If `granularity` is `WEEKLY`, the `startDate` of the extended reporting date range is `startDate` of the cohort plus `startOffset * 7` days. If `granularity` is `MONTHLY`, the `startDate` of the extended reporting date range is `startDate` of the cohort plus `startOffset * 30` days.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortsRange.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.CohortsRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortsRange.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.CohortsRange.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.CohortsRange.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Comparison","doc":"Defines an individual comparison. Most requests will include multiple comparisons so that the report compares between the comparisons.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Comparison.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Comparison","doc":"*   `comparison` (*type:* `String.t`, *default:* `nil`) - A saved comparison identified by the comparison's resource name. For example, 'comparisons/1234'.\n*   `dimensionFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - A basic comparison.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Each comparison produces separate rows in the response. In the response, this comparison is identified by this name. If name is unspecified, we will use the saved comparisons display name.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Comparison.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Comparison.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Comparison.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Comparison.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Comparison.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.ComparisonMetadata","doc":"The metadata for a single comparison.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ComparisonMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.ComparisonMetadata","doc":"*   `apiName` (*type:* `String.t`, *default:* `nil`) - This comparison's resource name. Useable in [Comparison](#Comparison)'s `comparison` field. For example, 'comparisons/1234'.\n*   `description` (*type:* `String.t`, *default:* `nil`) - This comparison's description.\n*   `uiName` (*type:* `String.t`, *default:* `nil`) - This comparison's name within the Google Analytics user interface.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ComparisonMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.ComparisonMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ComparisonMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.ComparisonMetadata.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.ComparisonMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.ConcatenateExpression","doc":"Used to combine dimension values to a single dimension.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ConcatenateExpression.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.ConcatenateExpression","doc":"*   `delimiter` (*type:* `String.t`, *default:* `nil`) - The delimiter placed between dimension names. Delimiters are often single characters such as \"|\" or \",\" but can be longer strings. If a dimension value contains the delimiter, both will be present in response with no distinction. For example if dimension 1 value = \"US,FR\", dimension 2 value = \"JP\", and delimiter = \",\", then the response will contain \"US,FR,JP\".\n*   `dimensionNames` (*type:* `list(String.t)`, *default:* `nil`) - Names of dimensions. The names must refer back to names in the dimensions field of the request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ConcatenateExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.ConcatenateExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ConcatenateExpression.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.ConcatenateExpression.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.ConcatenateExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.DateRange","doc":"A contiguous set of days: `startDate`, `startDate + 1`, ..., `endDate`. Requests are allowed up to 4 date ranges.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DateRange.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.DateRange","doc":"*   `endDate` (*type:* `String.t`, *default:* `nil`) - The inclusive end date for the query in the format `YYYY-MM-DD`. Cannot be before `start_date`. The format `NdaysAgo`, `yesterday`, or `today` is also accepted, and in that case, the date is inferred based on the property's reporting time zone.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Assigns a name to this date range. The dimension `dateRange` is valued to this name in a report response. If set, cannot begin with `date_range_` or `RESERVED_`. If not set, date ranges are named by their zero based index in the request: `date_range_0`, `date_range_1`, etc.\n*   `startDate` (*type:* `String.t`, *default:* `nil`) - The inclusive start date for the query in the format `YYYY-MM-DD`. Cannot be after `end_date`. The format `NdaysAgo`, `yesterday`, or `today` is also accepted, and in that case, the date is inferred based on the property's reporting time zone.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DateRange.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.DateRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DateRange.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.DateRange.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.DateRange.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Dimension","doc":"Dimensions are attributes of your data. For example, the dimension city indicates the city from which an event originates. Dimension values in report responses are strings; for example, the city could be \"Paris\" or \"New York\". Requests are allowed up to 9 dimensions.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Dimension.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Dimension","doc":"*   `dimensionExpression` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.DimensionExpression.t`, *default:* `nil`) - One dimension can be the result of an expression of multiple dimensions. For example, dimension \"country, city\": concatenate(country, \", \", city).\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the dimension. See the [API Dimensions](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema#dimensions) for the list of dimension names supported by core reporting methods such as `runReport` and `batchRunReports`. See [Realtime Dimensions](https://developers.google.com/analytics/devguides/reporting/data/v1/realtime-api-schema#dimensions) for the list of dimension names supported by the `runRealtimeReport` method. See [Funnel Dimensions](https://developers.google.com/analytics/devguides/reporting/data/v1/exploration-api-schema#dimensions) for the list of dimension names supported by the `runFunnelReport` method. If `dimensionExpression` is specified, `name` can be any string that you would like within the allowed character set. For example if a `dimensionExpression` concatenates `country` and `city`, you could call that dimension `countryAndCity`. Dimension names that you choose must match the regular expression `^[a-zA-Z0-9_]$`. Dimensions are referenced by `name` in `dimensionFilter`, `orderBys`, `dimensionExpression`, and `pivots`.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Dimension.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Dimension.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Dimension.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Dimension.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Dimension.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionCompatibility","doc":"The compatibility for a single dimension.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionCompatibility.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.DimensionCompatibility","doc":"*   `compatibility` (*type:* `String.t`, *default:* `nil`) - The compatibility of this dimension. If the compatibility is COMPATIBLE, this dimension can be successfully added to the report.\n*   `dimensionMetadata` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata.t`, *default:* `nil`) - The dimension metadata contains the API name for this compatibility information. The dimension metadata also contains other helpful information like the UI name and description.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionCompatibility.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionCompatibility.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionCompatibility.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionCompatibility.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionCompatibility.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionExpression","doc":"Used to express a dimension which is the result of a formula of multiple dimensions. Example usages: 1) lower_case(dimension) 2) concatenate(dimension1, symbol, dimension2).","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionExpression.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.DimensionExpression","doc":"*   `concatenate` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.ConcatenateExpression.t`, *default:* `nil`) - Used to combine dimension values to a single dimension. For example, dimension \"country, city\": concatenate(country, \", \", city).\n*   `lowerCase` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.CaseExpression.t`, *default:* `nil`) - Used to convert a dimension value to lower case.\n*   `upperCase` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.CaseExpression.t`, *default:* `nil`) - Used to convert a dimension value to upper case.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionExpression.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionExpression.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader","doc":"Describes a dimension column in the report. Dimensions requested in a report produce column entries within rows and DimensionHeaders. However, dimensions used exclusively within filters or expressions do not produce columns in a report; correspondingly, those dimensions do not produce headers.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The dimension's name.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata","doc":"Explains a dimension.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata","doc":"*   `apiName` (*type:* `String.t`, *default:* `nil`) - This dimension's name. Useable in [Dimension](#Dimension)'s `name`. For example, `eventName`.\n*   `category` (*type:* `String.t`, *default:* `nil`) - The display name of the category that this dimension belongs to. Similar dimensions and metrics are categorized together.\n*   `customDefinition` (*type:* `boolean()`, *default:* `nil`) - True if the dimension is custom to this property. This includes user, event, & item scoped custom dimensions; to learn more about custom dimensions, see https://support.google.com/analytics/answer/14240153. This also include custom channel groups; to learn more about custom channel groups, see https://support.google.com/analytics/answer/13051316.\n*   `deprecatedApiNames` (*type:* `list(String.t)`, *default:* `nil`) - Still usable but deprecated names for this dimension. If populated, this dimension is available by either `apiName` or one of `deprecatedApiNames` for a period of time. After the deprecation period, the dimension will be available only by `apiName`.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of how this dimension is used and calculated.\n*   `uiName` (*type:* `String.t`, *default:* `nil`) - This dimension's name within the Google Analytics user interface. For example, `Event name`.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionOrderBy","doc":"Sorts by dimension values.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionOrderBy.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.DimensionOrderBy","doc":"*   `dimensionName` (*type:* `String.t`, *default:* `nil`) - A dimension name in the request to order by.\n*   `orderType` (*type:* `String.t`, *default:* `nil`) - Controls the rule for dimension value ordering.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionOrderBy.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionOrderBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionOrderBy.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionOrderBy.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionOrderBy.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionValue","doc":"The value of a dimension.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionValue.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.DimensionValue","doc":"*   `value` (*type:* `String.t`, *default:* `nil`) - Value as a string if the dimension type is a string.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionValue.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionValue.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.DimensionValue.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.DimensionValue.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Filter","doc":"An expression to filter dimension or metric values.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Filter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Filter","doc":"*   `betweenFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.BetweenFilter.t`, *default:* `nil`) - A filter for two values.\n*   `fieldName` (*type:* `String.t`, *default:* `nil`) - The dimension name or metric name. In most methods, dimensions & metrics can be used for the first time in this field. However in a RunPivotReportRequest, this field must be additionally specified by name in the RunPivotReportRequest's dimensions or metrics.\n*   `inListFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.InListFilter.t`, *default:* `nil`) - A filter for in list values.\n*   `numericFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.NumericFilter.t`, *default:* `nil`) - A filter for numeric or date values.\n*   `stringFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.StringFilter.t`, *default:* `nil`) - Strings related filter.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Filter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Filter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Filter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Filter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Filter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpression","doc":"To express dimension or metric filters. The fields in the same FilterExpression need to be either all dimensions or all metrics.","ref":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.FilterExpression","doc":"*   `andGroup` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList.t`, *default:* `nil`) - The FilterExpressions in and_group have an AND relationship.\n*   `filter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.Filter.t`, *default:* `nil`) - A primitive filter. In the same FilterExpression, all of the filter's field names need to be either all dimensions or all metrics.\n*   `notExpression` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - The FilterExpression is NOT of not_expression.\n*   `orGroup` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList.t`, *default:* `nil`) - The FilterExpressions in or_group have an OR relationship.","ref":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList","doc":"A list of filter expressions.","ref":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList","doc":"*   `expressions` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t)`, *default:* `nil`) - A list of filter expressions.","ref":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.FilterExpressionList.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.InListFilter","doc":"The result needs to be in a list of string values.","ref":"GoogleApi.AnalyticsData.V1beta.Model.InListFilter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.InListFilter","doc":"*   `caseSensitive` (*type:* `boolean()`, *default:* `nil`) - If true, the string value is case sensitive.\n*   `values` (*type:* `list(String.t)`, *default:* `nil`) - The list of string values. Must be non-empty.","ref":"GoogleApi.AnalyticsData.V1beta.Model.InListFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.InListFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.InListFilter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.InListFilter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.InListFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.ListAudienceExportsResponse","doc":"A list of all audience exports for a property.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ListAudienceExportsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.ListAudienceExportsResponse","doc":"*   `audienceExports` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.AudienceExport.t)`, *default:* `nil`) - Each audience export for a property.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ListAudienceExportsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.ListAudienceExportsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ListAudienceExportsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.ListAudienceExportsResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.ListAudienceExportsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Metadata","doc":"The dimensions, metrics and comparisons currently accepted in reporting methods.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Metadata.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Metadata","doc":"*   `comparisons` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.ComparisonMetadata.t)`, *default:* `nil`) - The comparison descriptions.\n*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.DimensionMetadata.t)`, *default:* `nil`) - The dimension descriptions.\n*   `metrics` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata.t)`, *default:* `nil`) - The metric descriptions.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name of this metadata.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Metadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Metadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Metadata.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Metadata.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Metadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Metric","doc":"The quantitative measurements of a report. For example, the metric `eventCount` is the total number of events. Requests are allowed up to 10 metrics.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Metric.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Metric","doc":"*   `expression` (*type:* `String.t`, *default:* `nil`) - A mathematical expression for derived metrics. For example, the metric Event count per user is `eventCount/totalUsers`.\n*   `invisible` (*type:* `boolean()`, *default:* `nil`) - Indicates if a metric is invisible in the report response. If a metric is invisible, the metric will not produce a column in the response, but can be used in `metricFilter`, `orderBys`, or a metric `expression`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the metric. See the [API Metrics](https://developers.google.com/analytics/devguides/reporting/data/v1/api-schema#metrics) for the list of metric names supported by core reporting methods such as `runReport` and `batchRunReports`. See [Realtime Metrics](https://developers.google.com/analytics/devguides/reporting/data/v1/realtime-api-schema#metrics) for the list of metric names supported by the `runRealtimeReport` method. See [Funnel Metrics](https://developers.google.com/analytics/devguides/reporting/data/v1/exploration-api-schema#metrics) for the list of metric names supported by the `runFunnelReport` method. If `expression` is specified, `name` can be any string that you would like within the allowed character set. For example if `expression` is `screenPageViews/sessions`, you could call that metric's name = `viewsPerSession`. Metric names that you choose must match the regular expression `^[a-zA-Z0-9_]$`. Metrics are referenced by `name` in `metricFilter`, `orderBys`, and metric `expression`.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Metric.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Metric.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Metric.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Metric.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Metric.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricCompatibility","doc":"The compatibility for a single metric.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricCompatibility.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.MetricCompatibility","doc":"*   `compatibility` (*type:* `String.t`, *default:* `nil`) - The compatibility of this metric. If the compatibility is COMPATIBLE, this metric can be successfully added to the report.\n*   `metricMetadata` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata.t`, *default:* `nil`) - The metric metadata contains the API name for this compatibility information. The metric metadata also contains other helpful information like the UI name and description.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricCompatibility.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricCompatibility.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricCompatibility.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricCompatibility.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricCompatibility.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricHeader","doc":"Describes a metric column in the report. Visible metrics requested in a report produce column entries within rows and MetricHeaders. However, metrics used exclusively within filters or expressions do not produce columns in a report; correspondingly, those metrics do not produce headers.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricHeader.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.MetricHeader","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The metric's name.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The metric's data type.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricHeader.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricHeader.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata","doc":"Explains a metric.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata","doc":"*   `apiName` (*type:* `String.t`, *default:* `nil`) - A metric name. Useable in [Metric](#Metric)'s `name`. For example, `eventCount`.\n*   `blockedReasons` (*type:* `list(String.t)`, *default:* `nil`) - If reasons are specified, your access is blocked to this metric for this property. API requests from you to this property for this metric will succeed; however, the report will contain only zeros for this metric. API requests with metric filters on blocked metrics will fail. If reasons are empty, you have access to this metric. To learn more, see [Access and data-restriction management](https://support.google.com/analytics/answer/10851388).\n*   `category` (*type:* `String.t`, *default:* `nil`) - The display name of the category that this metrics belongs to. Similar dimensions and metrics are categorized together.\n*   `customDefinition` (*type:* `boolean()`, *default:* `nil`) - True if the metric is a custom metric for this property.\n*   `deprecatedApiNames` (*type:* `list(String.t)`, *default:* `nil`) - Still usable but deprecated names for this metric. If populated, this metric is available by either `apiName` or one of `deprecatedApiNames` for a period of time. After the deprecation period, the metric will be available only by `apiName`.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Description of how this metric is used and calculated.\n*   `expression` (*type:* `String.t`, *default:* `nil`) - The mathematical expression for this derived metric. Can be used in [Metric](#Metric)'s `expression` field for equivalent reports. Most metrics are not expressions, and for non-expressions, this field is empty.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of this metric.\n*   `uiName` (*type:* `String.t`, *default:* `nil`) - This metric's name within the Google Analytics user interface. For example, `Event count`.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricOrderBy","doc":"Sorts by metric values.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricOrderBy.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.MetricOrderBy","doc":"*   `metricName` (*type:* `String.t`, *default:* `nil`) - A metric name in the request to order by.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricOrderBy.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricOrderBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricOrderBy.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricOrderBy.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricOrderBy.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricValue","doc":"The value of a metric.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricValue.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.MetricValue","doc":"*   `value` (*type:* `String.t`, *default:* `nil`) - Measurement value. See MetricHeader for type.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricValue.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricValue.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.MetricValue.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.MetricValue.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.MinuteRange","doc":"A contiguous set of minutes: `startMinutesAgo`, `startMinutesAgo + 1`, ..., `endMinutesAgo`. Requests are allowed up to 2 minute ranges.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MinuteRange.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.MinuteRange","doc":"*   `endMinutesAgo` (*type:* `integer()`, *default:* `nil`) - The inclusive end minute for the query as a number of minutes before now. Cannot be before `startMinutesAgo`. For example, `\"endMinutesAgo\": 15` specifies the report should include event data from prior to 15 minutes ago. If unspecified, `endMinutesAgo` is defaulted to 0. Standard Analytics properties can request any minute in the last 30 minutes of event data (`endMinutesAgo <= 29`), and 360 Analytics properties can request any minute in the last 60 minutes of event data (`endMinutesAgo <= 59`).\n*   `name` (*type:* `String.t`, *default:* `nil`) - Assigns a name to this minute range. The dimension `dateRange` is valued to this name in a report response. If set, cannot begin with `date_range_` or `RESERVED_`. If not set, minute ranges are named by their zero based index in the request: `date_range_0`, `date_range_1`, etc.\n*   `startMinutesAgo` (*type:* `integer()`, *default:* `nil`) - The inclusive start minute for the query as a number of minutes before now. For example, `\"startMinutesAgo\": 29` specifies the report should include event data from 29 minutes ago and after. Cannot be after `endMinutesAgo`. If unspecified, `startMinutesAgo` is defaulted to 29. Standard Analytics properties can request up to the last 30 minutes of event data (`startMinutesAgo <= 29`), and 360 Analytics properties can request up to the last 60 minutes of event data (`startMinutesAgo <= 59`).","ref":"GoogleApi.AnalyticsData.V1beta.Model.MinuteRange.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.MinuteRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.MinuteRange.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.MinuteRange.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.MinuteRange.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.NumericFilter","doc":"Filters for numeric or date values.","ref":"GoogleApi.AnalyticsData.V1beta.Model.NumericFilter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.NumericFilter","doc":"*   `operation` (*type:* `String.t`, *default:* `nil`) - The operation type for this filter.\n*   `value` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.NumericValue.t`, *default:* `nil`) - A numeric value or a date value.","ref":"GoogleApi.AnalyticsData.V1beta.Model.NumericFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.NumericFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.NumericFilter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.NumericFilter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.NumericFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.NumericValue","doc":"To represent a number.","ref":"GoogleApi.AnalyticsData.V1beta.Model.NumericValue.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.NumericValue","doc":"*   `doubleValue` (*type:* `float()`, *default:* `nil`) - Double value\n*   `int64Value` (*type:* `String.t`, *default:* `nil`) - Integer value","ref":"GoogleApi.AnalyticsData.V1beta.Model.NumericValue.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.NumericValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.NumericValue.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.NumericValue.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.NumericValue.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Operation.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.OrderBy","doc":"Order bys define how rows will be sorted in the response. For example, ordering rows by descending event count is one ordering, and ordering rows by the event name string is a different ordering.","ref":"GoogleApi.AnalyticsData.V1beta.Model.OrderBy.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.OrderBy","doc":"*   `desc` (*type:* `boolean()`, *default:* `nil`) - If true, sorts by descending order.\n*   `dimension` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.DimensionOrderBy.t`, *default:* `nil`) - Sorts results by a dimension's values.\n*   `metric` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.MetricOrderBy.t`, *default:* `nil`) - Sorts results by a metric's values.\n*   `pivot` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.PivotOrderBy.t`, *default:* `nil`) - Sorts results by a metric's values within a pivot column group.","ref":"GoogleApi.AnalyticsData.V1beta.Model.OrderBy.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.OrderBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.OrderBy.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.OrderBy.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.OrderBy.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Pivot","doc":"Describes the visible dimension columns and rows in the report response.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Pivot.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Pivot","doc":"*   `fieldNames` (*type:* `list(String.t)`, *default:* `nil`) - Dimension names for visible columns in the report response. Including \"dateRange\" produces a date range column; for each row in the response, dimension values in the date range column will indicate the corresponding date range from the request.\n*   `limit` (*type:* `String.t`, *default:* `nil`) - The number of unique combinations of dimension values to return in this pivot. The `limit` parameter is required. A `limit` of 10,000 is common for single pivot requests. The product of the `limit` for each `pivot` in a `RunPivotReportRequest` must not exceed 250,000. For example, a two pivot request with `limit: 1000` in each pivot will fail because the product is `1,000,000`.\n*   `metricAggregations` (*type:* `list(String.t)`, *default:* `nil`) - Aggregate the metrics by dimensions in this pivot using the specified metric_aggregations.\n*   `offset` (*type:* `String.t`, *default:* `nil`) - The row count of the start row. The first row is counted as row 0.\n*   `orderBys` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.OrderBy.t)`, *default:* `nil`) - Specifies how dimensions are ordered in the pivot. In the first Pivot, the OrderBys determine Row and PivotDimensionHeader ordering; in subsequent Pivots, the OrderBys determine only PivotDimensionHeader ordering. Dimensions specified in these OrderBys must be a subset of Pivot.field_names.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Pivot.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Pivot.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Pivot.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Pivot.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Pivot.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotDimensionHeader","doc":"Summarizes dimension values from a row for this pivot.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotDimensionHeader.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.PivotDimensionHeader","doc":"*   `dimensionValues` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.DimensionValue.t)`, *default:* `nil`) - Values of multiple dimensions in a pivot.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotDimensionHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotDimensionHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotDimensionHeader.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotDimensionHeader.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotDimensionHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotHeader","doc":"Dimensions' values in a single pivot.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotHeader.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.PivotHeader","doc":"*   `pivotDimensionHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.PivotDimensionHeader.t)`, *default:* `nil`) - The size is the same as the cardinality of the corresponding dimension combinations.\n*   `rowCount` (*type:* `integer()`, *default:* `nil`) - The cardinality of the pivot. The total number of rows for this pivot's fields regardless of how the parameters `offset` and `limit` are specified in the request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotHeader.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotHeader.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotHeader.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotHeader.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotHeader.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotOrderBy","doc":"Sorts by a pivot column group.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotOrderBy.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.PivotOrderBy","doc":"*   `metricName` (*type:* `String.t`, *default:* `nil`) - In the response to order by, order rows by this column. Must be a metric name from the request.\n*   `pivotSelections` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.PivotSelection.t)`, *default:* `nil`) - Used to select a dimension name and value pivot. If multiple pivot selections are given, the sort occurs on rows where all pivot selection dimension name and value pairs match the row's dimension name and value pair.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotOrderBy.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotOrderBy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotOrderBy.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotOrderBy.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotOrderBy.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotSelection","doc":"A pair of dimension names and values. Rows with this dimension pivot pair are ordered by the metric's value. For example if pivots = {{\"browser\", \"Chrome\"}} and metric_name = \"Sessions\", then the rows will be sorted based on Sessions in Chrome. ---------|----------|----------------|----------|---------------- | Chrome | Chrome | Safari | Safari ---------|----------|----------------|----------|---------------- Country | Sessions | Pages/Sessions | Sessions | Pages/Sessions ---------|----------|----------------|----------|---------------- US | 2 | 2 | 3 | 1 ---------|----------|----------------|----------|---------------- Canada | 3 | 1 | 4 | 1 ---------|----------|----------------|----------|----------------","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotSelection.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.PivotSelection","doc":"*   `dimensionName` (*type:* `String.t`, *default:* `nil`) - Must be a dimension name from the request.\n*   `dimensionValue` (*type:* `String.t`, *default:* `nil`) - Order by only when the named dimension is this value.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotSelection.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotSelection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotSelection.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.PivotSelection.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.PivotSelection.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota","doc":"Current state of all quotas for this Analytics Property. If any quota for a property is exhausted, all requests to that property will return Resource Exhausted errors.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota","doc":"*   `concurrentRequests` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.t`, *default:* `nil`) - Standard Analytics Properties can send up to 10 concurrent requests; Analytics 360 Properties can use up to 50 concurrent requests.\n*   `potentiallyThresholdedRequestsPerHour` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.t`, *default:* `nil`) - Analytics Properties can send up to 120 requests with potentially thresholded dimensions per hour. In a batch request, each report request is individually counted for this quota if the request contains potentially thresholded dimensions.\n*   `serverErrorsPerProjectPerHour` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.t`, *default:* `nil`) - Standard Analytics Properties and cloud project pairs can have up to 10 server errors per hour; Analytics 360 Properties and cloud project pairs can have up to 50 server errors per hour.\n*   `tokensPerDay` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.t`, *default:* `nil`) - Standard Analytics Properties can use up to 200,000 tokens per day; Analytics 360 Properties can use 2,000,000 tokens per day. Most requests consume fewer than 10 tokens.\n*   `tokensPerHour` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.t`, *default:* `nil`) - Standard Analytics Properties can use up to 40,000 tokens per hour; Analytics 360 Properties can use 400,000 tokens per hour. An API request consumes a single number of tokens, and that number is deducted from all of the hourly, daily, and per project hourly quotas.\n*   `tokensPerProjectPerHour` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.t`, *default:* `nil`) - Analytics Properties can use up to 35% of their tokens per project per hour. This amounts to standard Analytics Properties can use up to 14,000 tokens per project per hour, and Analytics 360 Properties can use 140,000 tokens per project per hour. An API request consumes a single number of tokens, and that number is deducted from all of the hourly, daily, and per project hourly quotas.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportRequest","doc":"A request to list users in an audience export.","ref":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportRequest","doc":"*   `limit` (*type:* `String.t`, *default:* `nil`) - Optional. The number of rows to return. If unspecified, 10,000 rows are returned. The API returns a maximum of 250,000 rows per request, no matter how many you ask for. `limit` must be positive. The API can also return fewer rows than the requested `limit`, if there aren't as many dimension values as the `limit`. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination).\n*   `offset` (*type:* `String.t`, *default:* `nil`) - Optional. The row count of the start row. The first row is counted as row 0. When paging, the first request does not specify offset; or equivalently, sets offset to 0; the first request returns the first `limit` of rows. The second request sets offset to the `limit` of the first request; the second request returns the second `limit` of rows. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination).","ref":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportResponse","doc":"A list of users in an audience export.","ref":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportResponse","doc":"*   `audienceExport` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.AudienceExport.t`, *default:* `nil`) - Configuration data about AudienceExport being queried. Returned to help interpret the audience rows in this response. For example, the dimensions in this AudienceExport correspond to the columns in the AudienceRows.\n*   `audienceRows` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceRow.t)`, *default:* `nil`) - Rows for each user in an audience export. The number of rows in this response will be less than or equal to request's page size.\n*   `rowCount` (*type:* `integer()`, *default:* `nil`) - The total number of rows in the AudienceExport result. `rowCount` is independent of the number of rows returned in the response, the `limit` request parameter, and the `offset` request parameter. For example if a query returns 175 rows and includes `limit` of 50 in the API request, the response will contain `rowCount` of 175 but only 50 rows. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination).","ref":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.QueryAudienceExportResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus","doc":"Current state for a particular quota group.","ref":"GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus","doc":"*   `consumed` (*type:* `integer()`, *default:* `nil`) - Quota consumed by this request.\n*   `remaining` (*type:* `integer()`, *default:* `nil`) - Quota remaining after this request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.QuotaStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData","doc":"Response's metadata carrying additional information about the report content.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData","doc":"*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - The currency code used in this report. Intended to be used in formatting currency metrics like `purchaseRevenue` for visualization. If currency_code was specified in the request, this response parameter will echo the request parameter; otherwise, this response parameter is the property's current currency_code. Currency codes are string encodings of currency types from the ISO 4217 standard (https://en.wikipedia.org/wiki/ISO_4217); for example \"USD\", \"EUR\", \"JPY\". To learn more, see https://support.google.com/analytics/answer/9796179.\n*   `dataLossFromOtherRow` (*type:* `boolean()`, *default:* `nil`) - If true, indicates some buckets of dimension combinations are rolled into \"(other)\" row. This can happen for high cardinality reports. The metadata parameter dataLossFromOtherRow is populated based on the aggregated data table used in the report. The parameter will be accurately populated regardless of the filters and limits in the report. For example, the (other) row could be dropped from the report because the request contains a filter on sessionSource = google. This parameter will still be populated if data loss from other row was present in the input aggregate data used to generate this report. To learn more, see [About the (other) row and data sampling](https://support.google.com/analytics/answer/13208658#reports).\n*   `emptyReason` (*type:* `String.t`, *default:* `nil`) - If empty reason is specified, the report is empty for this reason.\n*   `samplingMetadatas` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.SamplingMetadata.t)`, *default:* `nil`) - If this report results is [sampled](https://support.google.com/analytics/answer/13331292), this describes the percentage of events used in this report. One `samplingMetadatas` is populated for each date range. Each `samplingMetadatas` corresponds to a date range in order that date ranges were specified in the request. However if the results are not sampled, this field will not be defined.\n*   `schemaRestrictionResponse` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.SchemaRestrictionResponse.t`, *default:* `nil`) - Describes the schema restrictions actively enforced in creating this report. To learn more, see [Access and data-restriction management](https://support.google.com/analytics/answer/10851388).\n*   `subjectToThresholding` (*type:* `boolean()`, *default:* `nil`) - If `subjectToThresholding` is true, this report is subject to thresholding and only returns data that meets the minimum aggregation thresholds. It is possible for a request to be subject to thresholding thresholding and no data is absent from the report, and this happens when all data is above the thresholds. To learn more, see [Data thresholds](https://support.google.com/analytics/answer/9383630).\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - The property's current timezone. Intended to be used to interpret time-based dimensions like `hour` and `minute`. Formatted as strings from the IANA Time Zone database (https://www.iana.org/time-zones); for example \"America/New_York\" or \"Asia/Tokyo\".","ref":"GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Row","doc":"Report data for each row. For example if RunReportRequest contains: ```none \"dimensions\": [ { \"name\": \"eventName\" }, { \"name\": \"countryId\" } ], \"metrics\": [ { \"name\": \"eventCount\" } ] ``` One row with 'in_app_purchase' as the eventName, 'JP' as the countryId, and 15 as the eventCount, would be: ```none \"dimensionValues\": [ { \"value\": \"in_app_purchase\" }, { \"value\": \"JP\" } ], \"metricValues\": [ { \"value\": \"15\" } ] ```","ref":"GoogleApi.AnalyticsData.V1beta.Model.Row.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Row","doc":"*   `dimensionValues` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.DimensionValue.t)`, *default:* `nil`) - List of requested dimension values. In a PivotReport, dimension_values are only listed for dimensions included in a pivot.\n*   `metricValues` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.MetricValue.t)`, *default:* `nil`) - List of requested visible metric values.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Row.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Row.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Row.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Row.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Row.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest","doc":"The request to generate a pivot report.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest","doc":"*   `cohortSpec` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.CohortSpec.t`, *default:* `nil`) - Cohort group associated with this request. If there is a cohort group in the request the 'cohort' dimension must be present.\n*   `comparisons` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Comparison.t)`, *default:* `nil`) - Optional. The configuration of comparisons requested and displayed. The request requires both a comparisons field and a comparisons dimension to receive a comparison column in the response.\n*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - A currency code in ISO4217 format, such as \"AED\", \"USD\", \"JPY\". If the field is empty, the report uses the property's default currency.\n*   `dateRanges` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.DateRange.t)`, *default:* `nil`) - The date range to retrieve event data for the report. If multiple date ranges are specified, event data from each date range is used in the report. A special dimension with field name \"dateRange\" can be included in a Pivot's field names; if included, the report compares between date ranges. In a cohort request, this `dateRanges` must be unspecified.\n*   `dimensionFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of dimensions. Dimensions must be requested to be used in this filter. Metrics cannot be used in this filter.\n*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Dimension.t)`, *default:* `nil`) - The dimensions requested. All defined dimensions must be used by one of the following: dimension_expression, dimension_filter, pivots, order_bys.\n*   `keepEmptyRows` (*type:* `boolean()`, *default:* `nil`) - If false or unspecified, each row with all metrics equal to 0 will not be returned. If true, these rows will be returned if they are not separately removed by a filter. Regardless of this `keep_empty_rows` setting, only data recorded by the Google Analytics (GA4) property can be displayed in a report. For example if a property never logs a `purchase` event, then a query for the `eventName` dimension and `eventCount` metric will not have a row eventName: \"purchase\" and eventCount: 0.\n*   `metricFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of metrics. Applied at post aggregation phase, similar to SQL having-clause. Metrics must be requested to be used in this filter. Dimensions cannot be used in this filter.\n*   `metrics` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Metric.t)`, *default:* `nil`) - The metrics requested, at least one metric needs to be specified. All defined metrics must be used by one of the following: metric_expression, metric_filter, order_bys.\n*   `pivots` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Pivot.t)`, *default:* `nil`) - Describes the visual format of the report's dimensions in columns or rows. The union of the fieldNames (dimension names) in all pivots must be a subset of dimension names defined in Dimensions. No two pivots can share a dimension. A dimension is only visible if it appears in a pivot.\n*   `property` (*type:* `String.t`, *default:* `nil`) - A Google Analytics GA4 property identifier whose events are tracked. Specified in the URL path and not the body. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). Within a batch request, this property should either be unspecified or consistent with the batch-level property. Example: properties/1234\n*   `returnPropertyQuota` (*type:* `boolean()`, *default:* `nil`) - Toggles whether to return the current state of this Analytics Property's quota. Quota is returned in [PropertyQuota](#PropertyQuota).","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse","doc":"The response pivot report table corresponding to a pivot request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse","doc":"*   `aggregates` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - Aggregation of metric values. Can be totals, minimums, or maximums. The returned aggregations are controlled by the metric_aggregations in the pivot. The type of aggregation returned in each row is shown by the dimension_values which are set to \"RESERVED_\".\n*   `dimensionHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader.t)`, *default:* `nil`) - Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#runPivotReport\". Useful to distinguish between response types in JSON.\n*   `metadata` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData.t`, *default:* `nil`) - Metadata for the report.\n*   `metricHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.MetricHeader.t)`, *default:* `nil`) - Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows.\n*   `pivotHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.PivotHeader.t)`, *default:* `nil`) - Summarizes the columns and rows created by a pivot. Each pivot in the request produces one header in the response. If we have a request like this: \"pivots\": [{ \"fieldNames\": [\"country\", \"city\"] }, { \"fieldNames\": \"eventName\" }] We will have the following `pivotHeaders` in the response: \"pivotHeaders\" : [{ \"dimensionHeaders\": [{ \"dimensionValues\": [ { \"value\": \"United Kingdom\" }, { \"value\": \"London\" } ] }, { \"dimensionValues\": [ { \"value\": \"Japan\" }, { \"value\": \"Osaka\" } ] }] }, { \"dimensionHeaders\": [{ \"dimensionValues\": [{ \"value\": \"session_start\" }] }, { \"dimensionValues\": [{ \"value\": \"scroll\" }] }] }]\n*   `propertyQuota` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota.t`, *default:* `nil`) - This Analytics Property's quota state including this request.\n*   `rows` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - Rows of dimension value combinations and metric values in the report.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunPivotReportResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportRequest","doc":"The request to generate a realtime report.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportRequest","doc":"*   `dimensionFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of dimensions. Metrics cannot be used in this filter.\n*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Dimension.t)`, *default:* `nil`) - The dimensions requested and displayed.\n*   `limit` (*type:* `String.t`, *default:* `nil`) - The number of rows to return. If unspecified, 10,000 rows are returned. The API returns a maximum of 250,000 rows per request, no matter how many you ask for. `limit` must be positive. The API can also return fewer rows than the requested `limit`, if there aren't as many dimension values as the `limit`. For instance, there are fewer than 300 possible values for the dimension `country`, so when reporting on only `country`, you can't get more than 300 rows, even if you set `limit` to a higher value.\n*   `metricAggregations` (*type:* `list(String.t)`, *default:* `nil`) - Aggregation of metrics. Aggregated metric values will be shown in rows where the dimension_values are set to \"RESERVED_(MetricAggregation)\".\n*   `metricFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of metrics. Applied at post aggregation phase, similar to SQL having-clause. Dimensions cannot be used in this filter.\n*   `metrics` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Metric.t)`, *default:* `nil`) - The metrics requested and displayed.\n*   `minuteRanges` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.MinuteRange.t)`, *default:* `nil`) - The minute ranges of event data to read. If unspecified, one minute range for the last 30 minutes will be used. If multiple minute ranges are requested, each response row will contain a zero based minute range index. If two minute ranges overlap, the event data for the overlapping minutes is included in the response rows for both minute ranges.\n*   `orderBys` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.OrderBy.t)`, *default:* `nil`) - Specifies how rows are ordered in the response.\n*   `returnPropertyQuota` (*type:* `boolean()`, *default:* `nil`) - Toggles whether to return the current state of this Analytics Property's Realtime quota. Quota is returned in [PropertyQuota](#PropertyQuota).","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportResponse","doc":"The response realtime report table corresponding to a request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportResponse","doc":"*   `dimensionHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader.t)`, *default:* `nil`) - Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#runRealtimeReport\". Useful to distinguish between response types in JSON.\n*   `maximums` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - If requested, the maximum values of metrics.\n*   `metricHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.MetricHeader.t)`, *default:* `nil`) - Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows.\n*   `minimums` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - If requested, the minimum values of metrics.\n*   `propertyQuota` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota.t`, *default:* `nil`) - This Analytics Property's Realtime quota state including this request.\n*   `rowCount` (*type:* `integer()`, *default:* `nil`) - The total number of rows in the query result. `rowCount` is independent of the number of rows returned in the response and the `limit` request parameter. For example if a query returns 175 rows and includes `limit` of 50 in the API request, the response will contain `rowCount` of 175 but only 50 rows.\n*   `rows` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - Rows of dimension value combinations and metric values in the report.\n*   `totals` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - If requested, the totaled values of metrics.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunRealtimeReportResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest","doc":"The request to generate a report.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest","doc":"*   `cohortSpec` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.CohortSpec.t`, *default:* `nil`) - Cohort group associated with this request. If there is a cohort group in the request the 'cohort' dimension must be present.\n*   `comparisons` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Comparison.t)`, *default:* `nil`) - Optional. The configuration of comparisons requested and displayed. The request only requires a comparisons field in order to receive a comparison column in the response.\n*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - A currency code in ISO4217 format, such as \"AED\", \"USD\", \"JPY\". If the field is empty, the report uses the property's default currency.\n*   `dateRanges` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.DateRange.t)`, *default:* `nil`) - Date ranges of data to read. If multiple date ranges are requested, each response row will contain a zero based date range index. If two date ranges overlap, the event data for the overlapping days is included in the response rows for both date ranges. In a cohort request, this `dateRanges` must be unspecified.\n*   `dimensionFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - Dimension filters let you ask for only specific dimension values in the report. To learn more, see [Fundamentals of Dimension Filters](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#dimension_filters) for examples. Metrics cannot be used in this filter.\n*   `dimensions` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Dimension.t)`, *default:* `nil`) - The dimensions requested and displayed.\n*   `keepEmptyRows` (*type:* `boolean()`, *default:* `nil`) - If false or unspecified, each row with all metrics equal to 0 will not be returned. If true, these rows will be returned if they are not separately removed by a filter. Regardless of this `keep_empty_rows` setting, only data recorded by the Google Analytics (GA4) property can be displayed in a report. For example if a property never logs a `purchase` event, then a query for the `eventName` dimension and `eventCount` metric will not have a row eventName: \"purchase\" and eventCount: 0.\n*   `limit` (*type:* `String.t`, *default:* `nil`) - The number of rows to return. If unspecified, 10,000 rows are returned. The API returns a maximum of 250,000 rows per request, no matter how many you ask for. `limit` must be positive. The API can also return fewer rows than the requested `limit`, if there aren't as many dimension values as the `limit`. For instance, there are fewer than 300 possible values for the dimension `country`, so when reporting on only `country`, you can't get more than 300 rows, even if you set `limit` to a higher value. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination).\n*   `metricAggregations` (*type:* `list(String.t)`, *default:* `nil`) - Aggregation of metrics. Aggregated metric values will be shown in rows where the dimension_values are set to \"RESERVED_(MetricAggregation)\".\n*   `metricFilter` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.FilterExpression.t`, *default:* `nil`) - The filter clause of metrics. Applied after aggregating the report's rows, similar to SQL having-clause. Dimensions cannot be used in this filter.\n*   `metrics` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Metric.t)`, *default:* `nil`) - The metrics requested and displayed.\n*   `offset` (*type:* `String.t`, *default:* `nil`) - The row count of the start row. The first row is counted as row 0. When paging, the first request does not specify offset; or equivalently, sets offset to 0; the first request returns the first `limit` of rows. The second request sets offset to the `limit` of the first request; the second request returns the second `limit` of rows. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination).\n*   `orderBys` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.OrderBy.t)`, *default:* `nil`) - Specifies how rows are ordered in the response.\n*   `property` (*type:* `String.t`, *default:* `nil`) - A Google Analytics GA4 property identifier whose events are tracked. Specified in the URL path and not the body. To learn more, see [where to find your Property ID](https://developers.google.com/analytics/devguides/reporting/data/v1/property-id). Within a batch request, this property should either be unspecified or consistent with the batch-level property. Example: properties/1234\n*   `returnPropertyQuota` (*type:* `boolean()`, *default:* `nil`) - Toggles whether to return the current state of this Analytics Property's quota. Quota is returned in [PropertyQuota](#PropertyQuota).","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunReportRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse","doc":"The response report table corresponding to a request.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse","doc":"*   `dimensionHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.DimensionHeader.t)`, *default:* `nil`) - Describes dimension columns. The number of DimensionHeaders and ordering of DimensionHeaders matches the dimensions present in rows.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Identifies what kind of resource this message is. This `kind` is always the fixed string \"analyticsData#runReport\". Useful to distinguish between response types in JSON.\n*   `maximums` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - If requested, the maximum values of metrics.\n*   `metadata` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.ResponseMetaData.t`, *default:* `nil`) - Metadata for the report.\n*   `metricHeaders` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.MetricHeader.t)`, *default:* `nil`) - Describes metric columns. The number of MetricHeaders and ordering of MetricHeaders matches the metrics present in rows.\n*   `minimums` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - If requested, the minimum values of metrics.\n*   `propertyQuota` (*type:* `GoogleApi.AnalyticsData.V1beta.Model.PropertyQuota.t`, *default:* `nil`) - This Analytics Property's quota state including this request.\n*   `rowCount` (*type:* `integer()`, *default:* `nil`) - The total number of rows in the query result. `rowCount` is independent of the number of rows returned in the response, the `limit` request parameter, and the `offset` request parameter. For example if a query returns 175 rows and includes `limit` of 50 in the API request, the response will contain `rowCount` of 175 but only 50 rows. To learn more about this pagination parameter, see [Pagination](https://developers.google.com/analytics/devguides/reporting/data/v1/basics#pagination).\n*   `rows` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - Rows of dimension value combinations and metric values in the report.\n*   `totals` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.Row.t)`, *default:* `nil`) - If requested, the totaled values of metrics.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.RunReportResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.SamplingMetadata","doc":"If this report results is [sampled](https://support.google.com/analytics/answer/13331292), this describes the percentage of events used in this report. Sampling is the practice of analyzing a subset of all data in order to uncover the meaningful information in the larger data set.","ref":"GoogleApi.AnalyticsData.V1beta.Model.SamplingMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.SamplingMetadata","doc":"*   `samplesReadCount` (*type:* `String.t`, *default:* `nil`) - The total number of events read in this sampled report for a date range. This is the size of the subset this property's data that was analyzed in this report.\n*   `samplingSpaceSize` (*type:* `String.t`, *default:* `nil`) - The total number of events present in this property's data that could have been analyzed in this report for a date range. Sampling uncovers the meaningful information about the larger data set, and this is the size of the larger data set. To calculate the percentage of available data that was used in this report, compute `samplesReadCount/samplingSpaceSize`.","ref":"GoogleApi.AnalyticsData.V1beta.Model.SamplingMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.SamplingMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.SamplingMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.SamplingMetadata.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.SamplingMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.SchemaRestrictionResponse","doc":"The schema restrictions actively enforced in creating this report. To learn more, see [Access and data-restriction management](https://support.google.com/analytics/answer/10851388).","ref":"GoogleApi.AnalyticsData.V1beta.Model.SchemaRestrictionResponse.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.SchemaRestrictionResponse","doc":"*   `activeMetricRestrictions` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.ActiveMetricRestriction.t)`, *default:* `nil`) - All restrictions actively enforced in creating the report. For example, `purchaseRevenue` always has the restriction type `REVENUE_DATA`. However, this active response restriction is only populated if the user's custom role disallows access to `REVENUE_DATA`.","ref":"GoogleApi.AnalyticsData.V1beta.Model.SchemaRestrictionResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.SchemaRestrictionResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.SchemaRestrictionResponse.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.SchemaRestrictionResponse.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.SchemaRestrictionResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.AnalyticsData.V1beta.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.Status.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.Status.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.StringFilter","doc":"The filter for string","ref":"GoogleApi.AnalyticsData.V1beta.Model.StringFilter.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.StringFilter","doc":"*   `caseSensitive` (*type:* `boolean()`, *default:* `nil`) - If true, the string value is case sensitive.\n*   `matchType` (*type:* `String.t`, *default:* `nil`) - The match type for this filter.\n*   `value` (*type:* `String.t`, *default:* `nil`) - The string value used for the matching.","ref":"GoogleApi.AnalyticsData.V1beta.Model.StringFilter.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.StringFilter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.StringFilter.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.StringFilter.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.StringFilter.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimension","doc":"An audience dimension is a user attribute. Specific user attributed are requested and then later returned in the `QueryAudienceExportResponse`.","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimension.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimension","doc":"*   `dimensionName` (*type:* `String.t`, *default:* `nil`) - Optional. The API name of the dimension. See the [API Dimensions](https://developers.google.com/analytics/devguides/reporting/data/v1/audience-list-api-schema#dimensions) for the list of dimension names.","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimension.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimension.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimension.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimension.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimension.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimensionValue","doc":"The value of a dimension.","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimensionValue.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimensionValue","doc":"*   `value` (*type:* `String.t`, *default:* `nil`) - Value as a string if the dimension type is a string.","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimensionValue.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimensionValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimensionValue.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimensionValue.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimensionValue.html#t:t/0"},{"type":"module","title":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceRow","doc":"Dimension value attributes for the audience user row.","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceRow.html"},{"type":"module","title":"Attributes - GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceRow","doc":"*   `dimensionValues` (*type:* `list(GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceDimensionValue.t)`, *default:* `nil`) - Each dimension value attribute for an audience user. One dimension value will be added for each dimension column requested.","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceRow.html#module-attributes"},{"type":"function","title":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceRow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceRow.html#decode/2"},{"type":"type","title":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceRow.t/0","doc":"","ref":"GoogleApi.AnalyticsData.V1beta.Model.V1betaAudienceRow.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}